from Mod3 import Class2 #Частичный импорт содержимого модуля Mod3
class Class3(Class2):  #Наследник класса Class2, а через него – и класса Class1
    def __init__(self,znach): #Конструктор-вызывается при создании нового экземпляра класса
        self.data=znach
    def __add__(self,drug_zn):  #Вызывается, когда экземпляр участвует в операции «+»
        return Class3(self.data+drug_zn)
    def zad_dr_zn(self,povtor):  #А это - обычный метод
	    self.data*=povtor

print("Список атрибутов класса Class3:",dir(Class3))
Class3.fio='Иванов И.И.'
print("\nСписок атрибутов класса Class3 после добавления атрибута:",dir(Class3))
z7=Class3(123)
print("\nСписок атрибутов экземпляра z7:",dir(z7))
print("\nСравнение списков атрибутов экземпляра z7 и класса Class3:",dir(z7)==dir(Class3))
print("\nЗначение атрибута fio экземпляра z7:",z7.fio)
print("\nСравнение значения атрибута fio экземпляра z7 и класса Class3:",z7.fio==Class3.fio)
z7.rozden='1987'
print("\nСписок атрибутов экземпляра z7 после добавления атрибута",dir(z7))
print("\nСравнение списков атрибутов экземпляра z7 и класса Class3 после добавления атрибута",dir(z7)==dir(Class3))